/***************************************************************************
                          mydataviewer.h  -  description
                             -------------------
    begin                : Fri Mar 21 2003
    copyright            : (C) 2003 by Frank von Daak
    email                : frank.fun@kpage.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef MYDATAVIEWER_H
#define MYDATAVIEWER_H

#include <qwidget.h>
#include <qdialog.h>
#include <qtextedit.h>
#include <qpixmap.h>
#include <qlabel.h>
#include <qscrollview.h>
#include <qstring.h>


/**
  *@author Frank von Daak
  */

class MyDataViewer : public QDialog  {
   Q_OBJECT
public: 
	MyDataViewer(QWidget *parent=0, const char *name=0, bool modal=TRUE);
	~MyDataViewer();

	void setText(const QString &);
	void setPixmap(QPixmap);

private:
	QTextEdit *txtViewer;
	QLabel *binCanvas;
	QScrollView *binViewer;
protected:
	void resizeEvent(QResizeEvent *);
};

#endif
