/***************************************************************************
                          myhighlighter.h  -  description
                             -------------------
    begin                : Sun Feb 2 2003
    copyright            : (C) 2003 by Frank von Daak
    email                : frank.fun@kpage.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef MYHIGHLIGHTER_H
#define MYHIGHLIGHTER_H

#include <qsyntaxhighlighter.h>
#include <qstring.h>
#include <qstringlist.h>
#include <qtextedit.h>

/**
  *@author Frank von Daak
  */

class MyHighlighter
			: public QSyntaxHighlighter  {
public: 
	MyHighlighter(QTextEdit *te);
	~MyHighlighter();

	void setCursorPos(int, int);

private:
	int highlightParagraph(const QString &text, int endStateOfLastPara);
	QString find_words[236];
	bool multi_comment, mc_sameline;
	int mc_start, mc_end, para, index;
	int mc_startline, mc_endline;
	QTextEdit *pText;
};

#endif
