/***************************************************************************
                          mytable.h  -  description
                             -------------------
    begin                : Sun Mar 9 2003
    copyright            : (C) 2003 by Frank von Daak
    email                : frank.fun@kpage.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef MYTABLE_H
#define MYTABLE_H

#include <qwidget.h>
#include <qtable.h>

/**
  *@author Frank von Daak
  */

class MyTable : public QTable  {
   Q_OBJECT
public: 
	MyTable(QWidget *parent=0, const char *name=0);
	~MyTable();

private:
	void focusOutEvent(QFocusEvent *);
	void keyPressEvent(QKeyEvent *);

signals:
	void copyRequest();
	void selectAll();
	void lostFocus(QTable *);
};

#endif
