/***************************************************************************
                          mymessagebox.h  -  description
                             -------------------
    begin                : Wed Mar 19 2003
    copyright            : (C) 2003 by Frank von Daak
    email                : frank.fun@kpage.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef MYMESSAGEBOX_H
#define MYMESSAGEBOX_H

#include <qwidget.h>
#include <qdialog.h>
#include <qpushbutton.h>
#include <qstring.h>
#include <qlabel.h>
#include <qpixmap.h>
#include <qstyle.h>
#include <qapplication.h>
#include <klocale.h>

/**
  *@author Frank von Daak
  */

class MyMessageBox : public QDialog  {
   Q_OBJECT
public: 
	MyMessageBox(const QString &caption="", QWidget *parent=0, const char *name=0, bool modal=TRUE);
	~MyMessageBox();

	void setMessage(const QString &);

private:
	QLabel *msgLab;
	QPushButton *but[4];

private slots:
	void buttonClicked();
};

#endif
