/***************************************************************************
                          myscrollview.h  -  description
                             -------------------
    begin                : Sun Feb 2 2003
    copyright            : (C) 2003 by Frank von Daak
    email                : frank.fun@kpage.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef MYSCROLLVIEW_H
#define MYSCROLLVIEW_H

#include <qwidget.h>
#include <qscrollview.h>
//#include <qframe.h>

/**
  *@author Frank von Daak
  */

class MyScrollView : public QScrollView  {
   Q_OBJECT
public: 
	MyScrollView(QWidget *parent=0, const char *name=0);
	~MyScrollView();

private:
	void resizeEvent(QResizeEvent *re);
//QFrame *testFrame;

signals:
	void resized(bool);
};

#endif
