/***************************************************************************
                          mytable.cpp  -  description
                             -------------------
    begin                : Sun Mar 9 2003
    copyright            : (C) 2003 by Frank von Daak
    email                : frank.fun@kpage.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "mytable.h"

MyTable::MyTable(QWidget *parent, const char *name )
				: QTable(parent,name)
{
}

MyTable::~MyTable()
{
}

void MyTable::focusOutEvent(QFocusEvent *f)
{
	emit(lostFocus(this));
	QTable::focusOutEvent(f);
}

void MyTable::keyPressEvent(QKeyEvent *ke)
{
	if ( !this->hasFocus() ) {
		ke->ignore();
		return;
	}

   if ( ke->state() & ControlButton ) {
			if ( ke->key() == Key_C ) {
		 		emit copyRequest();
			}
			if ( ke->key() == Key_A )
				emit selectAll();
	}
	QTable::keyPressEvent(ke);
}
